<template>
  <main class="main">
    <product-card v-for="product in products" :key="product.id" :id="product.id"
    :title="product.title"
    :description="product.description"
    :price="product.price"
    :imgSrc="product.imgSrc"
    :isInsideMainPage="false"
    :isInsideCartPage="true"
  />
  </main>
</template>

<script>
import ProductCard from '@/components/elements/ProductCard'
import { useStore } from 'vuex'
import { computed } from 'vue'

export default {
  components: {
    ProductCard
  },
  setup () {
    const store = useStore()
    const products = computed(() => {
      const products = store.getters.GetProducts
      return store.getters.GetAddedItems.map(item => Array(item.count).fill(products.find(product => product.id === item.id))).flat()
    })
    return {
      products
    }
  }
}
</script>

<style lang="scss" scoped>
.main {
  margin-top: 10px;
  height: calc(100vh - 191px);
  overflow: auto;
}
</style>
